Priority (Apache Tomcat 11.0.23 API Documentation)
Description: declaration: package: org.apache.tomcat.util.http.parser, class: Priority

# Class Priority

java.lang.Object
org.apache.tomcat.util.http.parser.Priority

public class Priority extends Object
HTTP priority header parser as per RFC 9218.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final boolean`
  `DEFAULT_INCREMENTAL`
  Default incremental flag value as per RFC 9218.
  `static final int`
  `DEFAULT_URGENCY`
  Default urgency value as per RFC 9218.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Priority()`
  Creates a new Priority instance with default values as per RFC 9218.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getIncremental()`
  Returns the incremental flag.
  `int`
  `getUrgency()`
  Returns the urgency value.
  `static Priority`
  `parsePriority(Reader input)`
  Parsers an HTTP header as a Priority header as defined by RFC 9218.
  `void`
  `setIncremental(boolean incremental)`
  Sets the incremental flag.
  `void`
  `setUrgency(int urgency)`
  Sets the urgency value.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_URGENCY

    public static final int DEFAULT_URGENCY
    Default urgency value as per RFC 9218.
    See Also:
      - Constant Field Values

  - ### DEFAULT_INCREMENTAL

    public static final boolean DEFAULT_INCREMENTAL
    Default incremental flag value as per RFC 9218.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Priority

    public Priority()
    Creates a new Priority instance with default values as per RFC 9218.

- ## Method Details

  - ### getUrgency

    public int getUrgency()
    Returns the urgency value.
    Returns:
      the urgency value

  - ### setUrgency

    public void setUrgency(int urgency)
    Sets the urgency value.
    Parameters:
      `urgency` - the urgency value

  - ### getIncremental

    public boolean getIncremental()
    Returns the incremental flag.
    Returns:
      the incremental flag

  - ### setIncremental

    public void setIncremental(boolean incremental)
    Sets the incremental flag.
    Parameters:
      `incremental` - the incremental flag

  - ### parsePriority

    public static Priority parsePriority(Reader input) throws IOException
    Parsers an HTTP header as a Priority header as defined by RFC 9218.
    Parameters:
      `input` - The header to parse
    Returns:
      The resulting priority
    Throws:
      `IOException` - If an I/O error occurs while reading the input